Subject: Re: utf8 BOM

From: Tait <[email-masked]>
Date: Sun, 16 May 2010 04:26:12 -0700

> Okay, so something that checks text files to see if they're utf...
> "core.autoutf", anyone?

This (and crlf-conversion, for that matter) strikes me as something best 
handled outside of git core, such as through checkout/commit hooks. Perhaps 
examples of such hooks could be provided and adapted by each project and 
user as that user/project sees fit for their specific choice of repository 
format and development environment.

Given that git already chose not to screw around with encodings or define 
a canonical encoding for the on-disk format (it's just a string of bytes), 
it would be consistent and reasonable to not mess with these other things, 
too.

Tait